unit AskConnect;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TwndAskConnect = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Bevel1: TBevel;
    Button1: TButton;
    Button2: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  wndAskConnect: TwndAskConnect;

implementation

{$R *.DFM}

procedure TwndAskConnect.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure NotEmpty(Ed: TCustomEdit; const Msg: string);
begin
  if Trim(Ed.Text) = '' then
  begin
    Ed.SetFocus;
    raise Exception.Create(Msg);
  end;
end;

procedure TwndAskConnect.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult <> mrOk then Exit;
  NotEmpty(Edit1, 'Missing database name');
  NotEmpty(Edit2, 'Missing user name');
  NotEmpty(Edit3, 'Missing password name');
end;

end.
